Bug 25545 - Invoice page - Adjustments are not included in the Total + adjustments + shipment cost (Column tax. inc.)
Summary: Invoice page - Adjustments are not included in the Total + adjustments + ship...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on: 19166
Blocks:
  Show dependency treegraph
 
Reported: 2020-05-19 17:52 UTC by Marjorie Barry-Vila
Modified: 2020-11-30 21:51 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.01, 19.11.07, 19.05.12


Attachments
adjustments (73.26 KB, image/png)
2020-05-19 17:52 UTC, Marjorie Barry-Vila
Details
Bug 25545: Add adjustments to total tax included (1.77 KB, patch)
2020-05-27 10:40 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 25545: Add adjustments to total tax included (1.83 KB, patch)
2020-05-31 13:36 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25545: (follow-up) Fix capitalization (1.15 KB, patch)
2020-05-31 13:36 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25545: Add adjustments to total tax included (1.89 KB, patch)
2020-06-08 14:11 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 25545: (follow-up) Fix capitalization (1.21 KB, patch)
2020-06-08 14:11 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marjorie Barry-Vila 2020-05-19 17:52:03 UTC
Created attachment 105107 [details]
adjustments

Hi,

Tested on 19.05.04:

- Add adjustemts in an invoice
- Display all details of invoice
- See in the column "Total tax inc." on row "Total+Adjustments+Shipment" that Total does not include amount of Adjustment.

See the attached screeshot.

Regards,
Marjorie
Comment 1 Katrin Fischer 2020-05-23 22:51:32 UTC
I was able to confirm this issue on master.

To test:
- Add a basket with at least one order
- Close it
- Receive shipment
- Receive the order
- Finish receiving
- Add an adjustment of any amount
- Verify in the invoice details table:
  - Total tax exc. is showing including the adjustmnt
  - Total tax inc. is missing the adjustment
Comment 2 Katrin Fischer 2020-05-23 22:53:32 UTC
Note: click on 'show details' to see the column with the problem.
Comment 3 Jonathan Druart 2020-05-27 09:22:08 UTC
How is this supposed to work?

The adjustment contains the tax or not?

It seems that we are only adding that value to the "total tax excluded" value so far.
Comment 4 Nick Clemens 2020-05-27 10:40:31 UTC
Created attachment 105381 [details] [review]
Bug 25545: Add adjustments to total tax included

Adjustments are not affected by tax, they are meant as a way to alter invoice
values after receiving (damaged items, refuneds, extra charges, etc)

When adjustments were added the tax included column was missed

To test:
- Add a basket with at least one order
- Close it
- Receive shipment
- Receive the order
- Finish receiving
- Add an adjustment of any amount
- Verify in the invoice details table:
  - Total tax exc. is showing including the adjustmnt
  - Total tax inc. is missing the adjustment
- Apply patch
- Reload
  - Total tax exc. is showing including the adjustmnt
  - Total tax inc. is showing including the adjustment
Comment 5 Katrin Fischer 2020-05-31 13:36:20 UTC
Created attachment 105443 [details] [review]
Bug 25545: Add adjustments to total tax included

Adjustments are not affected by tax, they are meant as a way to alter invoice
values after receiving (damaged items, refuneds, extra charges, etc)

When adjustments were added the tax included column was missed

To test:
- Add a basket with at least one order
- Close it
- Receive shipment
- Receive the order
- Finish receiving
- Add an adjustment of any amount
- Verify in the invoice details table:
  - Total tax exc. is showing including the adjustmnt
  - Total tax inc. is missing the adjustment
- Apply patch
- Reload
  - Total tax exc. is showing including the adjustmnt
  - Total tax inc. is showing including the adjustment

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Katrin Fischer 2020-05-31 13:36:24 UTC
Created attachment 105444 [details] [review]
Bug 25545: (follow-up) Fix capitalization

Total + Adjustments + Shipment cost ($)

changed to:
Total + adjustments + shipment cost ($)
Comment 7 Martin Renvoize 2020-06-08 14:01:53 UTC
Not sure I agree with the capitalization change.. I'd say each 'piece' in the sum is it's own title.. as such should be treated as a noun and thus capitalized.. no?
Comment 8 Martin Renvoize 2020-06-08 14:11:30 UTC
Created attachment 105646 [details] [review]
Bug 25545: Add adjustments to total tax included

Adjustments are not affected by tax, they are meant as a way to alter invoice
values after receiving (damaged items, refuneds, extra charges, etc)

When adjustments were added the tax included column was missed

To test:
- Add a basket with at least one order
- Close it
- Receive shipment
- Receive the order
- Finish receiving
- Add an adjustment of any amount
- Verify in the invoice details table:
  - Total tax exc. is showing including the adjustmnt
  - Total tax inc. is missing the adjustment
- Apply patch
- Reload
  - Total tax exc. is showing including the adjustmnt
  - Total tax inc. is showing including the adjustment

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 9 Martin Renvoize 2020-06-08 14:11:34 UTC
Created attachment 105647 [details] [review]
Bug 25545: (follow-up) Fix capitalization

Total + Adjustments + Shipment cost ($)

changed to:
Total + adjustments + shipment cost ($)

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 10 Martin Renvoize 2020-06-08 14:12:24 UTC
No point in holding up QA.. I've SO'd on both, but leave the decision about capitalization I've raised to the RM
Comment 11 Owen Leonard 2020-06-08 14:39:08 UTC
I think the follow-up is correct: "Total + adjustments + shipment cost"
Comment 12 Jonathan Druart 2020-06-15 10:00:11 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 13 Lucas Gass 2020-06-17 22:20:48 UTC
backported to 20.05.x for 20.05.01
Comment 14 Aleisha Amohia 2020-06-19 03:42:20 UTC
backported to 19.11.x for 19.11.07
Comment 15 Victor Grousset/tuxayo 2020-06-19 04:17:38 UTC
Backported to 19.05.x branch for 19.05.12